#
# Conditional build
%bcond_without	gtk	# don't build GTK+ frontend
%bcond_without	qt	# don't build Qt frontend
%bcond_without  x	# don't build for X Window System frontends

%define	ver 0.3.8.1
%define	gtk_ver 0.3.8
%define	qt_ver 0.3.8
Summary:	Desktop session recorder
Summary(pl.UTF-8):	Rejestrator pulpitu
Name:		recordmydesktop
Version:	%{ver}
# do not decrease Release, as subpackages Version is not in sync with main Version
Release:	6
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/recordmydesktop/%{name}-%{ver}.tar.gz
# Source0-md5:	6998b165540598965499bd99d8aa0eef
Source1:	http://downloads.sourceforge.net/recordmydesktop/gtk-%{name}-%{gtk_ver}.tar.gz
# Source1-md5:	2637b9be9801e0b2c3b6dae8f86a8b59
Source2:	http://downloads.sourceforge.net/recordmydesktop/qt-%{name}-%{qt_ver}.tar.gz
# Source2-md5:	bf1525740755615ae172ae27fef68fb5
Patch0:		cache_fix.patch
Patch1:		x11_build_fix.patch
Patch2:		%{name}-ALSA-default.patch
Patch3:		%{name}-sane-theora-defaults.patch
Patch4:		%{name}-fix-configure-ac-jack-support.patch
URL:		http://recordmydesktop.sourceforge.net/
%if %{with qt}
BuildRequires:	QtCore-devel
BuildRequires:	QtGui-devel
%endif
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libogg-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
%{?with_qt:BuildRequires:      python-PyQt4}
BuildRequires:	python-devel
%{?with_gtk:BuildRequires:	python-pygtk-devel}
BuildRequires:	rpm-pythonprov
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple command line tool that performs the basic tasks of capturing
and encoding desktop session. It produces files using only open
formats like Theora for video and Vorbis for audio, using the Ogg
container.

%description -l pl.UTF-8
Proste narzędzie linii poleceń, które wykonuje podstawowe zadanie
zrzucania i kodowania bieżącej sesji pulpitu. Wytwarza on pliki
używając tylko otwartych formatów takich jak Theora do zapisu obrazu i
Vorbis do zapisu dźwięku, wykorzystując kontener Ogg.

%package gtk
Summary:	GTK+ frontend for recordmydesktop
Summary(pl.UTF-8):	Frontend do recordmydesktop oparty na GTK+
Version:	%{gtk_ver}
Group:		X11/Applications
Requires:	%{name} >= %{gtk_ver}
Requires:	python-%{name} >= %{gtk_ver}

%description gtk
GTK+ frontend for recordmydesktop.

%description gtk -l pl.UTF-8
Frontend do recordmydesktop oparty na GTK+.

%package qt
Summary:	Qt frontend for recordmydesktop
Summary(pl.UTF-8):	Frontend do recordmydesktop oparty na Qt
Version:	%{qt_ver}
Group:		X11/Applications
Requires:	%{name} >= %{qt_ver}
Requires:	/usr/bin/jack_lsp
Requires:	python-PyQt4

%description qt
Qt frontend for recordmydesktop.

%description qt -l pl.UTF-8
Frontend do recordmydesktop oparty na Qt.

%package -n python-%{name}
Summary:	X Window System resource for recordmydesktop
Summary(pl.UTF-8):	Zasoby X Window System do recordmydesktop
Group:		X11/Applications
Requires:	%{name} = %{ver}-%{release}

%description -n python-%{name}
X Window System resource for recordmydesktop.

%description -n python-%{name} -l pl.UTF-8
Zasoby X Window System do recordmydesktop.

%prep
%setup -q -a 1 -a 2
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-x
%{__make}

%if %{with gtk}
cd gtk-%{name}-%{gtk_ver}
%configure
%{__make}
cd ..
%endif

%if %{with qt}
cd qt-%{name}-%{qt_ver}
sed -i -e 's@#! /bin/sh@#!/bin/bash@' configure
%configure
%{__make}
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="%{__install} -c -p" \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean %{py_sitescriptdir}/recordMyDesktop

%if %{with gtk}
%{__make} -C gtk-%{name}-%{gtk_ver} install \
	INSTALL="%{__install} -c -p" \
	DESTDIR=$RPM_BUILD_ROOT
rm -f __find.*
%find_lang gtk-recordMyDesktop
%endif

%if %{with qt}
%{__make} -C qt-%{name}-%{qt_ver} install \
	INSTALL="%{__install} -c -p" \
	DESTDIR=$RPM_BUILD_ROOT

rm -f __find.*
%find_lang qt-recordMyDesktop

%py_postclean %{py_sitescriptdir}/qt_recordMyDesktop
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%if %{with x}
%files -n python-%{name}
%defattr(644,root,root,755)
%{py_sitescriptdir}/recordMyDesktop
%endif

%if %{with gtk}
%files gtk -f gtk-recordMyDesktop.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gtk-recordMyDesktop
%{_desktopdir}/gtk-%{name}.desktop
%{_pixmapsdir}/gtk-%{name}.png
%endif

%if %{with qt}
%files qt -f qt-recordMyDesktop.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qt-recordMyDesktop
%{_desktopdir}/qt-%{name}.desktop
%{_pixmapsdir}/qt-%{name}*.png
%{_pixmapsdir}/*.svg
%{py_sitescriptdir}/qt_recordMyDesktop
%endif
%changelog
* Wed May 21 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/recordmydesktop.git;a=log;h=master

* Wed May 21 2014 Elan Ruusamäe <glen@delfi.ee> d78fc7c
- BR python-PyQt4 with qt build

* Wed May 21 2014 Elan Ruusamäe <glen@delfi.ee> 765f801
- clean outdated TODO

* Wed May 21 2014 Elan Ruusamäe <glen@delfi.ee> bafa810
- clean unused BR python-PyQt4-devel

* Wed May 21 2014 Elan Ruusamäe <glen@delfi.ee> 1890128
- add patches from fedora

* Wed May 21 2014 Elan Ruusamäe <glen@delfi.ee> 1fdda97
- up to 0.3.8.1, gtk and qt stay at 0.3.8

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c8577db
- release 6

* Thu Jun 03 2010 sparky <sparky@pld-linux.org> 8a81e06
- BR: gettext-devel, jack-audio-connection-kit-devel, pkgconfig, rpm-pythonprov
- qt BR: QtCore-devel, QtGui-devel

* Sat May 29 2010 Mariusz Mazur <mmazur@pld-linux.org> e9d95df
- rel 5; fixed building and made qt gui work
- stbr someone

* Sat May 29 2010 Mariusz Mazur <mmazur@pld-linux.org> e9bd09d
- R: /usr/bin/jack_lsp or the settings window for qt gui doesn't open
- again, unmaintained software, doesn't work out of the box (missing some icons)

* Wed Feb 24 2010 Elan Ruusamäe <glen@pld-linux.org> fad5518
- rename x11 -> python-recordmydesktop
- gtk depends on python scripts (but not qt)

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> a6c56ac
- release 2

* Tue Nov 25 2008 duddits <duddits@pld-linux.org> 95186c5
- up to 0.3.8

* Thu Oct 16 2008 Marcin Banasiak <marcin.banasiak@gmail.com> a48187f
- release 2

* Mon Sep 29 2008 Jakub Bogusz <qboosh@pld-linux.org> bbdc02d
- complete URL

* Wed Sep 24 2008 duddits <duddits@pld-linux.org> 7642236
- URL path updated

* Mon May 26 2008 arvenil <arvenil@pld-linux.org> c27bfbb
- up to 0.3.7.2
- R: python-PyQt4 (for qt subpackage)

* Sun May 25 2008 shadzik <shadzik@pld-linux.org> a3150a9
- kill unneeded X11 R; in subpackages (works fine without them - tested)

* Wed Oct 17 2007 wolf <wolf@pld-linux.org> a974ea9
- 0.3.6
- qt frontend
- clean python dirs

* Sun Apr 22 2007 Jakub Bogusz <qboosh@pld-linux.org> a9332e5
- formatting

* Sat Apr 21 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 042cde8
- /x/x11/

